Package twisted :: Package protocols :: Package jabber :: Module component :: Class IService

[frames | no frames]

## Class IService

    Interface --+
                |
               IService

Method Summary
| ``componentConnected`(self, xmlstream)` Parent component has established a connection
| ``componentDisconnected`(self)` Parent component has lost a connection to the Jabber system
| ``transportConnected`(self, xmlstream)` Parent component has established a connection over the underlying transport

Method Details

### componentConnected(self, xmlstream)

Parent component has established a connection

### componentDisconnected(self)

Parent component has lost a connection to the Jabber system

### transportConnected(self, xmlstream)

Parent component has established a connection over the underlying transport

Generated by Epydoc 2.0 on Sat May 15 20:08:14 2004 | http://epydoc.sf.net